@font-face {
    font-family: "summernote";
    font-style: normal;
    font-weight: normal;
    src: url("./fonts/summernote.eot?e557617934c52ea068954af79ed7c221");
    src: url("./fonts/summernote.eot?#iefix") format("embedded-opentype"), url("./fonts/summernote.woff?e557617934c52ea068954af79ed7c221") format("woff"), url("./fonts/summernote.ttf?e557617934c52ea068954af79ed7c221") format("truetype")
}

[class^="note-icon-"]:before, [class*=" note-icon-"]:before {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font: normal normal normal 14px summernote;
    font-size: inherit;
    speak: none;
    text-decoration: inherit;
    text-rendering: auto;
    text-transform: none;
    vertical-align: middle;
}

.note-icon-align-center:before, .note-icon-align-indent:before, .note-icon-align-justify:before, .note-icon-align-left:before, .note-icon-align-outdent:before, .note-icon-align-right:before, .note-icon-align:before, .note-icon-arrow-circle-down:before, .note-icon-arrow-circle-left:before, .note-icon-arrow-circle-right:before, .note-icon-arrow-circle-up:before, .note-icon-arrows-alt:before, .note-icon-arrows-h:before, .note-icon-arrows-v:before, .note-icon-bold:before, .note-icon-caret:before, .note-icon-chain-broken:before, .note-icon-circle:before, .note-icon-close:before, .note-icon-code:before, .note-icon-col-after:before, .note-icon-col-before:before, .note-icon-col-remove:before, .note-icon-eraser:before, .note-icon-font:before, .note-icon-frame:before, .note-icon-italic:before, .note-icon-link:before, .note-icon-magic:before, .note-icon-menu-check:before, .note-icon-minus:before, .note-icon-orderedlist:before, .note-icon-pencil:before, .note-icon-picture:before, .note-icon-question:before, .note-icon-redo:before, .note-icon-row-above:before, .note-icon-row-below:before, .note-icon-row-remove:before, .note-icon-special-character:before, .note-icon-square:before, .note-icon-strikethrough:before, .note-icon-subscript:before, .note-icon-summernote:before, .note-icon-superscript:before, .note-icon-table:before, .note-icon-text-height:before, .note-icon-trash:before, .note-icon-underline:before, .note-icon-undo:before, .note-icon-unorderedlist:before, .note-icon-video:before {
    display: inline-block;
    font-family: "summernote";
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit
}

.note-icon-align-center:before { content: "\f101" }

.note-icon-align-indent:before { content: "\f102" }

.note-icon-align-justify:before { content: "\f103" }

.note-icon-align-left:before { content: "\f104" }

.note-icon-align-outdent:before { content: "\f105" }

.note-icon-align-right:before { content: "\f106" }

.note-icon-align:before { content: "\f107" }

.note-icon-arrow-circle-down:before { content: "\f108" }

.note-icon-arrow-circle-left:before { content: "\f109" }

.note-icon-arrow-circle-right:before { content: "\f10a" }

.note-icon-arrow-circle-up:before { content: "\f10b" }

.note-icon-arrows-alt:before { content: "\f10c" }

.note-icon-arrows-h:before { content: "\f10d" }

.note-icon-arrows-v:before { content: "\f10e" }

.note-icon-bold:before { content: "\f10f" }

.note-icon-caret:before { content: "\f110" }

.note-icon-chain-broken:before { content: "\f111" }

.note-icon-circle:before { content: "\f112" }

.note-icon-close:before { content: "\f113" }

.note-icon-code:before { content: "\f114" }

.note-icon-col-after:before { content: "\f115" }

.note-icon-col-before:before { content: "\f116" }

.note-icon-col-remove:before { content: "\f117" }

.note-icon-eraser:before { content: "\f118" }

.note-icon-font:before { content: "\f119" }

.note-icon-frame:before { content: "\f11a" }

.note-icon-italic:before { content: "\f11b" }

.note-icon-link:before { content: "\f11c" }

.note-icon-magic:before { content: "\f11d" }

.note-icon-menu-check:before { content: "\f11e" }

.note-icon-minus:before { content: "\f11f" }

.note-icon-orderedlist:before { content: "\f120" }

.note-icon-pencil:before { content: "\f121" }

.note-icon-picture:before { content: "\f122" }

.note-icon-question:before { content: "\f123" }

.note-icon-redo:before { content: "\f124" }

.note-icon-row-above:before { content: "\f125" }

.note-icon-row-below:before { content: "\f126" }

.note-icon-row-remove:before { content: "\f127" }

.note-icon-special-character:before { content: "\f128" }

.note-icon-square:before { content: "\f129" }

.note-icon-strikethrough:before { content: "\f12a" }

.note-icon-subscript:before { content: "\f12b" }

.note-icon-summernote:before { content: "\f12c" }

.note-icon-superscript:before { content: "\f12d" }

.note-icon-table:before { content: "\f12e" }

.note-icon-text-height:before { content: "\f12f" }

.note-icon-trash:before { content: "\f130" }

.note-icon-underline:before { content: "\f131" }

.note-icon-undo:before { content: "\f132" }

.note-icon-unorderedlist:before { content: "\f133" }

.note-icon-video:before { content: "\f134" }

.summernote-ui * {
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: black;
}

p { margin: 0 0 10px }

kbd {
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    background-color: black;
    border-radius: 2px;
    box-sizing: border-box;
    color: white;
    font-weight: bold;
    padding: 3px 5px;
}

.note-toolbar {
    border-bottom: 1px solid #e2e2e2;
    padding: 10px 5px;
}

.note-btn-group {
    display: inline-block;
    margin-right: 8px;
    position: relative;
}

.note-btn-group > .note-btn-group { margin-right: 0 }

.note-btn-group > .note-btn, .note-btn-group > .note-btn-group {
    border-radius: 0;
    margin-left: -4px;
}

.note-btn-group > .note-btn.focus, .note-btn-group > .note-btn-group.focus, .note-btn-group > .note-btn.active, .note-btn-group > .note-btn-group.active { border-radius: 0 }

.note-btn-group > .note-btn:first-child, .note-btn-group > .note-btn-group:first-child {
    border-bottom-left-radius: 1px;
    border-top-left-radius: 1px;
    margin-left: 0;
}

.note-btn-group > .note-btn:first-child.focus, .note-btn-group > .note-btn-group:first-child.focus, .note-btn-group > .note-btn:first-child.active, .note-btn-group > .note-btn-group:first-child.active {
    border-bottom-left-radius: 1px;
    border-top-left-radius: 1px
}

.note-btn-group > .note-btn:last-child:not(.note-dropdown), .note-btn-group > .note-btn-group:last-child:not(.note-dropdown) {
    border-bottom-right-radius: 1px;
    border-top-right-radius: 1px;
}

.note-btn-group > .note-btn:last-child:not(.note-dropdown).focus, .note-btn-group > .note-btn-group:last-child:not(.note-dropdown).focus, .note-btn-group > .note-btn:last-child:not(.note-dropdown).active, .note-btn-group > .note-btn-group:last-child:not(.note-dropdown).active {
    border-bottom-right-radius: 1px;
    border-top-right-radius: 1px;
}

.note-btn-group.open > .note-dropdown { display: block }

.note-btn {
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
    background-color: #fff;
    background-image: none;
    border: 1px solid #fff;
    border-color: #fff;
    border-radius: 1px;
    color: #333;
    cursor: pointer;
    display: inline-block;
    font-size: 10px;
    font-weight: normal;
    line-height: 1.4;
    margin-bottom: 0;
    outline: 0;
    padding: 5px 10px;
    text-align: center;
    touch-action: manipulation;
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;
}

.note-btn:focus, .note-btn.focus {
    background-color: #ebebeb;
    border-color: #fff;
    color: #333;
}

.note-btn:hover {
    background-color: #ebebeb;
    border-color: #fff;
    color: #333;
}

.note-btn.disabled:focus, .note-btn[disabled]:focus, fieldset[disabled] .note-btn:focus, .note-btn.disabled.focus, .note-btn[disabled].focus, fieldset[disabled] .note-btn.focus {
    background-color: #fff;
    border-color: #fff
}

.note-btn:hover, .note-btn:focus, .note-btn.focus {
    -moz-border-radius: 1px;
    -webkit-border-radius: 1px;
    background-color: #ebebeb;
    border: 1px solid #fff;
    border-radius: 1px;
    color: #333;
    outline: 0;
    text-decoration: none;
}

.note-btn:active, .note-btn.active {
    background-image: none;
    outline: 0
}

.note-btn.disabled, .note-btn[disabled], fieldset[disabled] .note-btn {
    -khtml-opacity: .65;
    -moz-box-shadow: none;
    -moz-opacity: .65;
    -ms-filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    -webkit-opacity: .65;
    box-shadow: none;
    cursor: not-allowed;
    filter: alpha(opacity=65);
    opacity: .65;
}

.note-btn-primary {
    background: #fa6362;
    color: white;
}

.note-btn-primary:hover, .note-btn-primary:focus, .note-btn-primary.focus {
    -moz-border-radius: 1px;
    -webkit-border-radius: 1px;
    background-color: #fa6362;
    border: 1px solid #fff;
    border-radius: 1px;
    color: white;
    text-decoration: none;
}

.note-btn-large {
    font-size: 16px;
    padding: 8px 34px;
}

.note-btn-block {
    display: block;
    width: 100%
}

.note-btn-block + .note-btn-block { margin-top: 5px }

input[type="submit"].note-btn-block, input[type="reset"].note-btn-block, input[type="button"].note-btn-block { width: 100% }

button.close {
    -webkit-appearance: none;
    background: transparent;
    border: 0;
    cursor: pointer;
    padding: 0;
}

.close {
    color: #000;
    float: right;
    font-size: 21px;
    line-height: 1;
    opacity: .2
}

.note-dropdown { position: relative }

.note-dropdown-menu {
    -moz-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.06);
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.06);
    background: #fff;
    background-clip: padding-box;
    border: 1px solid #e2e2e2;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.06);
    display: none;
    float: left;
    left: 0;
    min-width: 100px;
    padding: 5px;
    position: absolute;
    text-align: left;
    top: 100%;
    z-index: 1000;
}

.note-btn-group.open .note-dropdown-menu { display: block }

.note-dropdown-item { display: block }

.note-dropdown-item:hover { background-color: #ebebeb }

a.note-dropdown-item {
    color: black;
    text-decoration: none
}

.note-modal {
    -khtml-opacity: 1;
    -moz-opacity: 1;
    -ms-filter: alpha(opacity=100);
    -webkit-opacity: 1;
    bottom: 0;
    display: none;
    filter: alpha(opacity=100);
    left: 0;
    opacity: 1;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1050;
}

.note-modal.open { display: block }

.note-modal-content {
    background: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    margin: 30px 20px;
    outline: 0;
    position: relative;
    width: auto;
}

.note-modal-header {
    border: 1px solid #ededef;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 30px;
}

.note-modal-header .close { margin-top: -10px }

.note-modal-body {
    padding: 20px 30px;
    position: relative;
}

.note-modal-footer {
    padding-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
    text-align: center
}

.note-modal-title {
    color: #42515f;
    font-size: 26px;
    line-height: 1.4;
    margin: 0;
    text-align: center
}

.note-modal-backdrop {
    -khtml-opacity: .5;
    -moz-opacity: .5;
    -ms-filter: alpha(opacity=50);
    -webkit-opacity: .5;
    background: #000;
    bottom: 0;
    display: none;
    filter: alpha(opacity=50);
    left: 0;
    opacity: .5;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1040;
}

.note-modal-backdrop.open { display: block }

@media (min-width: 768px) {
    .note-modal-content {
        margin: 30px auto;
        width: 600px;
    }
}

@media (min-width: 992px) {
    .note-modal-content-large { width: 900px }
}

.note-form-group { padding-bottom: 20px }

.note-form-group:last-child { padding-bottom: 0 }

.note-form-label {
    color: #42515f;
    display: block;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}

.note-input {
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    background: white;
    border: 1px solid #ededef;
    box-sizing: border-box;
    display: block;
    font-size: 14px;
    outline: 0;
    padding: 6px 4px;
    width: 100%;
}

.note-input::-webkit-input-placeholder { color: #eee }

.note-input:-moz-placeholder { color: #eee }

.note-input::-moz-placeholder { color: #eee }

.note-input:-ms-input-placeholder { color: #eee }

.note-tooltip {
    -khtml-opacity: 0;
    -moz-opacity: 0;
    -ms-filter: alpha(opacity=0);
    -webkit-opacity: 0;
    display: block;
    filter: alpha(opacity=0);
    font-size: 13px;
    opacity: 0;
    position: absolute;
    z-index: 1070;
}

.note-tooltip.in {
    -khtml-opacity: .9;
    -moz-opacity: .9;
    -ms-filter: alpha(opacity=90);
    -webkit-opacity: .9;
    filter: alpha(opacity=90);
    opacity: .9;
}

.note-tooltip.top {
    margin-top: -3px;
    padding: 5px 0;
}

.note-tooltip.right {
    margin-left: 3px;
    padding: 0 5px;
}

.note-tooltip.bottom {
    margin-top: 3px;
    padding: 5px 0;
}

.note-tooltip.left {
    margin-left: -3px;
    padding: 0 5px;
}

.note-tooltip.bottom .note-tooltip-arrow {
    border-bottom-color: #47c8f7;
    border-width: 0 5px 5px;
    left: 50%;
    margin-left: -5px;
    top: 0;
}

.note-tooltip.top .note-tooltip-arrow {
    border-top-color: #47c8f7;
    border-width: 5px 5px 0;
    bottom: 0;
    left: 50%;
    margin-left: -5px;
}

.note-tooltip.right .note-tooltip-arrow {
    border-right-color: #47c8f7;
    border-width: 5px 5px 5px 0;
    left: 0;
    margin-top: -5px;
    top: 50%;
}

.note-tooltip.left .note-tooltip-arrow {
    border-left-color: #47c8f7;
    border-width: 5px 0 5px 5px;
    margin-top: -5px;
    right: 0;
    top: 50%;
}

.note-tooltip-arrow {
    border-color: transparent;
    border-style: solid;
    height: 0;
    position: absolute;
    width: 0;
}

.note-tooltip-content {
    background-color: #47c8f7;
    color: #fff;
    max-width: 200px;
    padding: 3px 8px;
    text-align: center;
}

.note-popover {
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border: 1px solid #ccc;
    display: block;
    display: none;
    font-size: 13px;
    position: absolute;
    z-index: 1060;
}

.note-popover.in { display: block }

.note-popover.top {
    margin-top: -3px;
    padding: 5 0;
}

.note-popover.right {
    margin-left: 3px;
    padding: 0 5;
}

.note-popover.bottom {
    margin-top: 3px;
    padding: 5 0;
}

.note-popover.left {
    margin-left: -3px;
    padding: 0 5;
}

.note-popover.bottom .note-popover-arrow {
    border-bottom-color: #999;
    border-bottom-color: rgba(0, 0, 0, 0.25);
    border-top-width: 0;
    left: 50%;
    margin-left: -10px;
    top: -11px;
}

.note-popover.bottom .note-popover-arrow::after {
    border-bottom-color: #fff;
    border-top-width: 0;
    content: " ";
    margin-left: -10px;
    top: 1px;
}

.note-popover.top .note-popover-arrow {
    border-bottom-width: 0;
    border-top-color: #999;
    border-top-color: rgba(0, 0, 0, 0.25);
    bottom: -11px;
    left: 50%;
    margin-left: -10px;
}

.note-popover.top .note-popover-arrow::after {
    border-bottom-width: 0;
    border-top-color: #fff;
    bottom: 1px;
    content: " ";
    margin-left: -10px;
}

.note-popover.right .note-popover-arrow {
    border-left-width: 0;
    border-right-color: #999;
    border-right-color: rgba(0, 0, 0, 0.25);
    left: -11px;
    margin-top: -10px;
    top: 50%;
}

.note-popover.right .note-popover-arrow::after {
    border-left-width: 0;
    border-right-color: #fff;
    content: " ";
    left: 1px;
    margin-top: -10px;
}

.note-popover.left .note-popover-arrow {
    border-left-color: #999;
    border-left-color: rgba(0, 0, 0, 0.25);
    border-right-width: 0;
    margin-top: -10px;
    right: -11px;
    top: 50%;
}

.note-popover.left .note-popover-arrow::after {
    border-left-color: #fff;
    border-right-width: 0;
    content: " ";
    margin-top: -10px;
    right: 1px;
}

.note-popover-arrow {
    border-color: transparent;
    border-style: solid;
    border-width: 11px;
    height: 0;
    position: absolute;
    width: 0;
}

.note-popover-arrow::after {
    border-color: transparent;
    border-style: solid;
    border-width: 10px;
    content: " ";
    display: block;
    height: 0;
    position: absolute;
    width: 0;
}

.note-popover-content {
    background-color: #fff;
    color: #000;
    min-height: 30px;
    min-width: 100px;
    padding: 3px 8px;
    text-align: center;
}

.note-editor { position: relative }

.note-editor .note-dropzone {
    background-color: white;
    color: #87cefa;
    display: none;
    opacity: .95;
    pointer-event: none;
    position: absolute;
    z-index: 100;
}

.note-editor .note-dropzone .note-dropzone-message {
    display: table-cell;
    font-size: 28px;
    font-weight: bold;
    text-align: center;
    vertical-align: middle
}

.note-editor .note-dropzone.hover { color: #098ddf }

.note-editor.dragover .note-dropzone { display: table }

.note-editor .note-editing-area { position: relative }

.note-editor .note-editing-area p { margin: 0 0 10px }

.note-editor .note-editing-area .note-editable { outline: 0 }

.note-editor .note-editing-area .note-editable table {
    border-collapse: collapse;
    width: 100%;
}

.note-editor .note-editing-area .note-editable table td, .note-editor .note-editing-area .note-editable table th {
    border: 1px solid #ececec;
    padding: 5px 3px;
}

.note-editor .note-editing-area .note-editable sup { vertical-align: super }

.note-editor .note-editing-area .note-editable sub { vertical-align: sub }

.note-editor.note-frame { /*border: 1px solid #a9a9a9*/ }

.note-editor.note-frame.codeview .note-editing-area .note-editable { display: none }

.note-editor.note-frame.codeview .note-editing-area .note-codable { display: block }

.note-editor.note-frame .note-editing-area { overflow: hidden }

.note-editor.note-frame .note-editing-area .note-editable {
    background-color: #fff;
    color: #000;
    overflow: auto;
    padding: 10px;
    word-wrap: break-word;
}

.note-editor.note-frame .note-editing-area .note-editable[contenteditable="false"] { background-color: #e5e5e5 }

.note-editor.note-frame .note-editing-area .note-codable {
    -moz-border-radius: 0;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-border-radius: 0;
    -webkit-box-sizing: border-box;
    background-color: #222;
    border: 0;
    border-radius: 0;
    box-shadow: none;
    box-sizing: border-box;
    color: #ccc;
    display: none;
    font-family: Menlo, Monaco, monospace, sans-serif;
    font-size: 14px;
    margin-bottom: 0;
    padding: 10px;
    resize: none;
    width: 100%;
}

.note-editor.note-frame.fullscreen {
    left: 0;
    position: fixed;
    top: 0;
    width: 100% !important;
    z-index: 1050;
}

.note-editor.note-frame.fullscreen .note-editable { background-color: white }

.note-editor.note-frame.fullscreen .note-resizebar { display: none }

.note-editor.note-frame .note-statusbar {
    background-color: #f5f5f5;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

.note-editor.note-frame .note-statusbar .note-resizebar {
    cursor: ns-resize;
    height: 8px;
    padding-top: 1px;
    width: 100%;
}

.note-editor.note-frame .note-statusbar .note-resizebar .note-icon-bar {
    border-top: 1px solid #a9a9a9;
    margin: 1px auto;
    width: 20px;
}

.note-editor.note-frame .note-placeholder { padding: 10px }

.note-popover { max-width: none }

.note-popover .note-popover-content a {
    display: inline-block;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
    white-space: nowrap;
}

.note-popover .note-popover-arrow { left: 20px !important }

.note-popover .note-popover-content, .note-toolbar {
    background-color: white;
    margin: 0;
    padding: 0 0 5px 5px;
}

.note-popover .note-popover-content > .note-btn-group, .note-toolbar > .note-btn-group {
    margin-left: 0;
    margin-right: 5px;
    margin-top: 5px;
}

.note-popover .note-popover-content .note-btn-group .note-table, .note-toolbar .note-btn-group .note-table {
    min-width: 0;
    padding: 5px
}

.note-popover .note-popover-content .note-btn-group .note-table .note-dimension-picker, .note-toolbar .note-btn-group .note-table .note-dimension-picker { font-size: 18px }

.note-popover .note-popover-content .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-mousecatcher, .note-toolbar .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-mousecatcher {
    cursor: pointer;
    height: 10em;
    position: absolute !important;
    width: 10em;
    z-index: 3;
}

.note-popover .note-popover-content .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-unhighlighted, .note-toolbar .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-unhighlighted {
    background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASAgMAAAAroGbEAAAACVBMVEUAAIj4+Pjp6ekKlAqjAAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfYAR0BKhmnaJzPAAAAG0lEQVQI12NgAAOtVatWMTCohoaGUY+EmIkEAEruEzK2J7tvAAAAAElFTkSuQmCC') repeat;
    height: 5em;
    position: relative !important;
    width: 5em;
    z-index: 1;
}

.note-popover .note-popover-content .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-highlighted, .note-toolbar .note-btn-group .note-table .note-dimension-picker .note-dimension-picker-highlighted {
    background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASAgMAAAAroGbEAAAACVBMVEUAAIjd6vvD2f9LKLW+AAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfYAR0BKwNDEVT0AAAAG0lEQVQI12NgAAOtVatWMTCohoaGUY+EmIkEAEruEzK2J7tvAAAAAElFTkSuQmCC') repeat;
    height: 1em;
    position: absolute !important;
    width: 1em;
    z-index: 2;
}

.note-popover .note-popover-content .note-style h1, .note-toolbar .note-style h1, .note-popover .note-popover-content .note-style h2, .note-toolbar .note-style h2, .note-popover .note-popover-content .note-style h3, .note-toolbar .note-style h3, .note-popover .note-popover-content .note-style h4, .note-toolbar .note-style h4, .note-popover .note-popover-content .note-style h5, .note-toolbar .note-style h5, .note-popover .note-popover-content .note-style h6, .note-toolbar .note-style h6, .note-popover .note-popover-content .note-style blockquote, .note-toolbar .note-style blockquote { margin: 0 }

.note-popover .note-popover-content .note-color .dropdown-toggle, .note-toolbar .note-color .dropdown-toggle {
    padding-left: 5px;
    width: 20px;
}

.note-popover .note-popover-content .note-color .note-dropdown-menu, .note-toolbar .note-color .note-dropdown-menu { min-width: 346px }

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette, .note-toolbar .note-color .note-dropdown-menu .note-palette {
    display: inline-block;
    margin: 0;
    width: 160px;
}

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette:first-child, .note-toolbar .note-color .note-dropdown-menu .note-palette:first-child {
    margin: 0 5px;
    margin-right: 15px
}

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette .note-palette-title, .note-toolbar .note-color .note-dropdown-menu .note-palette .note-palette-title {
    border-bottom: 1px solid #eee;
    font-size: 12px;
    margin: 2px 7px;
    text-align: center;
}

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette .note-color-reset, .note-toolbar .note-color .note-dropdown-menu .note-palette .note-color-reset {
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    background-color: white;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
    margin: 3px;
    padding: 2px 3px;
    width: 100%;
}

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette .note-color-row, .note-toolbar .note-color .note-dropdown-menu .note-palette .note-color-row { height: 20px }

.note-popover .note-popover-content .note-color .note-dropdown-menu .note-palette .note-color-reset:hover, .note-toolbar .note-color .note-dropdown-menu .note-palette .note-color-reset:hover { background: #eee }

.note-popover .note-popover-content .note-para .note-dropdown-menu, .note-toolbar .note-para .note-dropdown-menu {
    min-width: 216px;
    padding: 5px
}

.note-popover .note-popover-content .note-para .note-dropdown-menu > div:first-child, .note-toolbar .note-para .note-dropdown-menu > div:first-child { margin-right: 5px }

.note-popover .note-popover-content .note-btn-fontname .note-dropdown-menu, .note-toolbar .note-btn-fontname .note-dropdown-menu { min-width: 200px }

.note-popover .note-popover-content .note-dropdown-menu, .note-toolbar .note-dropdown-menu { min-width: 160px }

.note-popover .note-popover-content .note-dropdown-menu.right, .note-toolbar .note-dropdown-menu.right {
    left: auto;
    right: 0;
}

.note-popover .note-popover-content .note-dropdown-menu.right::before, .note-toolbar .note-dropdown-menu.right::before {
    left: auto !important;
    right: 9px;
}

.note-popover .note-popover-content .note-dropdown-menu.right::after, .note-toolbar .note-dropdown-menu.right::after {
    left: auto !important;
    right: 10px;
}

.note-popover .note-popover-content .note-dropdown-menu.note-check .note-dropdown-item i, .note-toolbar .note-dropdown-menu.note-check .note-dropdown-item i {
    color: deepskyblue;
    visibility: hidden
}

.note-popover .note-popover-content .note-dropdown-menu.note-check .note-dropdown-item.checked i, .note-toolbar .note-dropdown-menu.note-check .note-dropdown-item.checked i { visibility: visible }

.note-popover .note-popover-content .note-dropdown-menu .note-dropdown-item > *, .note-toolbar .note-dropdown-menu .note-dropdown-item > * { margin: 0 }

.note-popover .note-popover-content .note-fontsize-10, .note-toolbar .note-fontsize-10 { font-size: 10px }

.note-popover .note-popover-content .note-color-palette, .note-toolbar .note-color-palette { line-height: 1 }

.note-popover .note-popover-content .note-color-palette div .note-color-btn, .note-toolbar .note-color-palette div .note-color-btn {
    border: 1px solid #fff;
    height: 20px;
    margin: 0;
    padding: 0;
    width: 20px;
}

.note-popover .note-popover-content .note-color-palette div .note-color-btn:hover, .note-toolbar .note-color-palette div .note-color-btn:hover { border: 1px solid #000 }

.note-modal .note-modal-body label {
    display: inline-block;
    margin-bottom: 2px;
    padding: 2px 5px;
}

.note-modal .note-modal-body .help-list-item:hover { background-color: #e0e0e0 }

@-moz-document url-prefix() { .note-image-input { height: auto } }

.note-placeholder {
    color: gray;
    display: none;
    position: absolute;
}

.note-handle .note-control-selection {
    border: 1px solid black;
    display: none;
    position: absolute;
}

.note-handle .note-control-selection > div { position: absolute }

.note-handle .note-control-selection .note-control-selection-bg {
    -khtml-opacity: .3;
    -moz-opacity: .3;
    -ms-filter: alpha(opacity=30);
    -webkit-opacity: .3;
    background-color: black;
    filter: alpha(opacity=30);
    height: 100%;
    opacity: .3;
    width: 100%;
}

.note-handle .note-control-selection .note-control-handle {
    border: 1px solid black;
    height: 7px;
    width: 7px;
}

.note-handle .note-control-selection .note-control-holder {
    border: 1px solid black;
    height: 7px;
    width: 7px;
}

.note-handle .note-control-selection .note-control-sizing {
    background-color: white;
    border: 1px solid black;
    height: 7px;
    width: 7px;
}

.note-handle .note-control-selection .note-control-nw {
    border-bottom: 0;
    border-right: 0;
    left: -5px;
    top: -5px;
}

.note-handle .note-control-selection .note-control-ne {
    border-bottom: 0;
    border-left: none;
    right: -5px;
    top: -5px;
}

.note-handle .note-control-selection .note-control-sw {
    border-right: 0;
    border-top: 0;
    bottom: -5px;
    left: -5px;
}

.note-handle .note-control-selection .note-control-se {
    bottom: -5px;
    cursor: se-resize;
    right: -5px;
}

.note-handle .note-control-selection .note-control-se.note-control-holder {
    border-left: none;
    border-top: 0;
    cursor: default;
}

.note-handle .note-control-selection .note-control-selection-info {
    -khtml-opacity: .7;
    -moz-border-radius: 5px;
    -moz-opacity: .7;
    -ms-filter: alpha(opacity=70);
    -webkit-border-radius: 5px;
    -webkit-opacity: .7;
    background-color: black;
    border-radius: 5px;
    bottom: 0;
    color: white;
    filter: alpha(opacity=70);
    font-size: 12px;
    margin: 5px;
    opacity: .7;
    padding: 5px;
    right: 0;
}

.note-hint-popover {
    min-width: 100px;
    padding: 2px
}

.note-hint-popover .note-popover-content {
    max-height: 150px;
    overflow: auto;
    padding: 3px;
}

.note-hint-popover .note-popover-content .note-hint-group .note-hint-item {
    display: block !important;
    padding: 3px
}

.note-hint-popover .note-popover-content .note-hint-group .note-hint-item.active, .note-hint-popover .note-popover-content .note-hint-group .note-hint-item:hover {
    background-color: #428bca;
    clear: both;
    color: white;
    cursor: pointer;
    display: block;
    font-weight: 400;
    line-height: 1.4;
    outline: 0;
    text-decoration: none;
    white-space: nowrap;
}

.help-list-item label {
    display: inline-block;
    margin-bottom: 5px
}